<div class="center" class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-8">
                <div class="card">
                    <div class="header">
                        <h4 class="title">Ajouter Personne</h4>
                    </div>
                    <div class="content">
                        <form [formGroup]="formGroupePersonne" (submit)="ajoutePersonne()">
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Nom</label>
                                        <input formControlName="nom" name="nom" type="text" class="form-control"
                                            placeholder="Nom">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Prénom</label>
                                        <input formControlName="prenom" name="prenom" type="text" class="form-control"
                                            placeholder="Prénom">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Téléphone</label>
                                        <input formControlName="phone" name="phone" type="text" class="form-control"
                                            placeholder="Téléphone">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>CIN</label>
                                        <input formControlName="cin" name="cin" type="text" class="form-control"
                                            placeholder="CIN">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>CNSS</label>
                                        <input formControlName="cnss" name="cnss" type="text" class="form-control"
                                            placeholder="CNSS">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Matricule</label>
                                        <input formControlName="matricule" name="matricule" type="text"
                                            class="form-control" placeholder="Matricule">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Adresse</label>
                                        <input formControlName="adresse" name="adresse" type="text" class="form-control"
                                            placeholder="Adresse">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Ville</label>
                                        <input formControlName="ville" name="ville" type="text" class="form-control"
                                            placeholder="Ville">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Situation</label>
                                        <select class="form-control" name="situation" formControlName="situation"
                                            placeholder="Situation">

                                            <option value="0">-select-</option>
                                            <option value="Marie">Marié</option>
                                            <option value="Divorce">Divorcé </option>
                                            <option value="Separe">Séparé </option>
                                            <option value="Celibataire">Célibataire</option>
                                            <option value="Veuf">Veuf</option>

                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Nombre d'Enfant</label>
                                        <input formControlName="nombreEnfant" name="nombreEnfant" type="number"
                                            class="form-control" placeholder="Nombre Enfant">
                                    </div>
                                </div>
                            </div>


                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Date Naissance</label>
                                        <input formControlName="dateNaissance" name="dateNaissance" type="date"
                                            class="form-control" placeholder="Date Naissance">

                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Date Embauche</label>
                                        <input formControlName="dateEmbauche" name="dateEmbauche" type="date"
                                            class="form-control" placeholder="Date Embauche">
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="form-group">

                                        <mat-form-field class="example-full-width">
                                            <input type="number" placeholder="Date Persage" aria-label="Number" matInput
                                                formControlName="idbadge" [matAutocomplete]="auto">
                                            <mat-autocomplete #auto="matAutocomplete">
                                                <mat-option *ngFor="let summary of badges" value={{summary.id}}>
                                                    {{summary.numeroBadge}}
                                                </mat-option>
                                            </mat-autocomplete>
                                        </mat-form-field>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <button type="submit" class="btn btn-info btn-fill pull-right">Ajouter</button>
                                <button type="button" (click)="Annuler()" class="btn btn-danger btn-fill">Annuler</button>                                 
                            </div>

                            <div class="clearfix"></div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>